#!/bin/bash
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments.  The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".

set -e

__dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

echo "Install deps..."
npm i > /dev/null 2>&1
npm run prepare > /dev/null 2>&1

echo "Configuring git hooks"
cp "${__dir}/src/pre-commit.sh" .git/hooks/pre-commit
echo "Repo correctly configured"